Main Page Class Hierarchy Compound List File List Compound Members File Members

# _SUDS Struct Reference

`#include <sudshead.h>`

List of all members.

## Public Attributes
int | type
long | data_len
union {
SUDS_STATIDENT st
SUDS_ATODINFO ad
SUDS_CALIBRATION ca
SUDS_COMMENT co
SUDS_CHANSET cs
SUDS_DESCRIPTRACE dt
SUDS_DETECTOR de
SUDS_EQUIPMENT eq
SUDS_ERROR er
SUDS_EVENT ev
SUDS_EVENTSETTING es
SUDS_EVDESCR ed
SUDS_FEATURE fe
SUDS_FOCALMECH fo
SUDS_INSTRUMENT in
SUDS_LAYERS la
SUDS_LOCTRACE lo
SUDS_MOMENT mo
SUDS_MUXDATA mu
SUDS_ORIGIN or
SUDS_PROFILE pr
SUDS_RESIDUAL re
SUDS_SHOTGATHER sh
SUDS_STATIONCOMP sc
SUDS_TERMINATOR te
SUDS_TIMECORRECTION tc
SUDS_TRIGGERS tr
SUDS_TRIGSETTING ts
SUDS_VELMODEL vm
} | stype

## Member Data Documentation

SUDS_ATODINFO _SUDS::ad

| Definition at line 721 of file sudshead.h.

SUDS_CALIBRATION _SUDS::ca

| Definition at line 722 of file sudshead.h.

SUDS_COMMENT _SUDS::co

| Definition at line 723 of file sudshead.h.

SUDS_CHANSET _SUDS::cs

| Definition at line 724 of file sudshead.h.

long _SUDS::data_len

| Definition at line 718 of file sudshead.h.

SUDS_DETECTOR _SUDS::de

| Definition at line 726 of file sudshead.h.

SUDS_DESCRIPTRACE _SUDS::dt

| Definition at line 725 of file sudshead.h.

SUDS_EVDESCR _SUDS::ed

| Definition at line 731 of file sudshead.h.

SUDS_EQUIPMENT _SUDS::eq

| Definition at line 727 of file sudshead.h.

SUDS_ERROR _SUDS::er

| Definition at line 728 of file sudshead.h.

SUDS_EVENTSETTING _SUDS::es

| Definition at line 730 of file sudshead.h.

SUDS_EVENT _SUDS::ev

| Definition at line 729 of file sudshead.h.

SUDS_FEATURE _SUDS::fe

| Definition at line 732 of file sudshead.h.

SUDS_FOCALMECH _SUDS::fo

| Definition at line 733 of file sudshead.h.

SUDS_INSTRUMENT _SUDS::in

| Definition at line 734 of file sudshead.h.

SUDS_LAYERS _SUDS::la

| Definition at line 735 of file sudshead.h.

SUDS_LOCTRACE _SUDS::lo

| Definition at line 736 of file sudshead.h.

SUDS_MOMENT _SUDS::mo

| Definition at line 737 of file sudshead.h.

SUDS_MUXDATA _SUDS::mu

| Definition at line 738 of file sudshead.h.

SUDS_ORIGIN _SUDS::or

| Definition at line 739 of file sudshead.h.

SUDS_PROFILE _SUDS::pr

| Definition at line 740 of file sudshead.h.

SUDS_RESIDUAL _SUDS::re

| Definition at line 741 of file sudshead.h.

SUDS_STATIONCOMP _SUDS::sc

| Definition at line 743 of file sudshead.h.

SUDS_SHOTGATHER _SUDS::sh

| Definition at line 742 of file sudshead.h.

SUDS_STATIDENT _SUDS::st

| Definition at line 720 of file sudshead.h.

union { ... } _SUDS::stype

SUDS_TIMECORRECTION _SUDS::tc

| Definition at line 745 of file sudshead.h.

SUDS_TERMINATOR _SUDS::te

| Definition at line 744 of file sudshead.h.

SUDS_TRIGGERS _SUDS::tr

| Definition at line 746 of file sudshead.h.

SUDS_TRIGSETTING _SUDS::ts

| Definition at line 747 of file sudshead.h.

int _SUDS::type

| Definition at line 717 of file sudshead.h.

SUDS_VELMODEL _SUDS::vm

| Definition at line 748 of file sudshead.h.

The documentation for this struct was generated from the following file:

- sudshead.h